Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227768 - If two yum repositories conflict, then the install fails.
Summary: If two yum repositories conflict, then the install fails.
Keywords:
Status: CLOSED DUPLICATE of bug 234289
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-07 23:49 UTC by Andrew Bartlett
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-30 17:13:24 UTC


Attachments (Terms of Use)
Anaconda log from failed install (deleted)
2007-02-08 00:04 UTC, Andrew Bartlett
no flags Details

Description Andrew Bartlett 2007-02-07 23:49:21 UTC
Description of problem:

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. I downloaded and loopback mounted the Feodra 7 Test 1 Desktop DVD onto my
HTTP server
2. Installed by PXE boot to my local HTTP server
3. Added Fedora Extras Development and Fedora Core Development as extra
repositories (hoping to get recent updates, and a full set of software)
4. Attempted install
  
Actual results:
Conflicts are reported between older packages in the original tree and new
(development) packages on the remote HTTP server.  Only option is to reboot.

Expected results:
Should perform RPM upgrade semantics to select the most recent packages.
If the packages still conflict, the user should be returned to the repository
selection to amend the selected repositories.

Additional info:

This functionality should be useful to enable install-time updates to the most
recent software, by means of an additional, default repository. 

Likewise, some networks may wish to install with standard Fedora plus a
repository that contains local 'fixes' or hacks, that might deliberatly obsolete
the relevent fedora package.

Comment 1 Andrew Bartlett 2007-02-08 00:04:28 UTC
Created attachment 147617 [details]
Anaconda log from failed install

Comment 2 Bill Nottingham 2007-03-02 17:29:08 UTC
Moving to 'devel' as discussed on
https://www.redhat.com/archives/fedora-devel-list/2007-March/msg00095.html.

Comment 3 David Cantrell 2007-03-30 17:13:24 UTC

*** This bug has been marked as a duplicate of 234289 ***


Note You need to log in before you can comment on or make changes to this bug.